package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 标准
 * @TableName t_standard
 */
@ApiModel(value = "Standard", description = "标准")
@TableName(value ="t_standard", autoResultMap = true)
@Accessors(chain = true)
@Data
public class Standard {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 标准名称
     */
    @ApiModelProperty("标准名称")
    private String name;

    /**
     * 标准号
     */
    @ApiModelProperty("标准号")
    private String standardNo;

    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    private String file;
}
